# Retrieve an invoice

`GET /accounts/{accountID}/invoices/{invoiceID}`

API version: `v2026.10.00`. Send `X-Moov-Version: v2026.10.00` to get the behavior described here.

> AI agents: search and read all Moov docs with the docs MCP server at https://docs.moov.io/mcp (no API key). Setup: https://docs.moov.io/guides/developer-tools/mcp-ai/docs-mcp/index.md

Retrieve an invoice by ID.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/)
you'll need to specify the `/accounts/{accountID}/invoices.read` scope.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Moov-Version` | header | string |  | Set this header to v2026.10.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, `v2026.08.00` uses `v2026.07.00`. A malformed value, such as `2022`, returns a `404` response. Values: `v2026.10.00`. |
| `accountID` | path | string | Yes |  |
| `invoiceID` | path | string | Yes |  |

## Response 200

The request completed successfully.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `invoiceID` | string | Yes | A unique identifier for a Moov resource. Supports UUID format (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx) or typed format with base32-encoded UUID and type suffix (e.g., kuoaydiojf7uszaokc2ggnaaaa_xfer). |
| `invoiceNumber` | string | Yes |  |
| `description` | string |  |  |
| `customerAccountID` | string | Yes | A unique identifier for a Moov resource. Supports UUID format (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx) or typed format with base32-encoded UUID and type suffix (e.g., kuoaydiojf7uszaokc2ggnaaaa_xfer). |
| `customerDisplayName` | string | Yes | Display name of the customer account. |
| `customerEmail` | string (email) | Yes | Email address of the customer account. |
| `partnerAccountID` | string | Yes | A unique identifier for a Moov resource. Supports UUID format (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx) or typed format with base32-encoded UUID and type suffix (e.g., kuoaydiojf7uszaokc2ggnaaaa_xfer). |
| `status` | string | Yes | Values: `draft`, `unpaid`, `payment-pending`, `paid`, `overdue`, `canceled`. |
| `lineItems` | object | Yes | A collection of line items for an invoice. |
| `lineItems.items` | array of object | Yes | The list of line items. |
| `subtotalAmount` | object | Yes |  |
| `subtotalAmount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `subtotalAmount.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `amountDetails` | object |  |  |
| `amountDetails.tax` | object |  | The amount of tax applied to the invoice. |
| `amountDetails.surcharge` | object |  | The amount of surcharge applied to the invoice. |
| `totalAmount` | object | Yes | Total amount of the invoice, including subtotal, tax, and surcharge amounts. |
| `totalAmount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `totalAmount.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `pendingAmount` | object | Yes | Total amount of pending transfers paid towards the invoice |
| `pendingAmount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `pendingAmount.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `paidAmount` | object | Yes | Total amount of completed transfers paid towards the invoice |
| `paidAmount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `paidAmount.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `refundedAmount` | object | Yes | Total amount of refunds initiated against transfers paid towards the invoice |
| `refundedAmount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `refundedAmount.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `disputedAmount` | object | Yes | Total amount of disputes initiated against transfers paid towards the invoice |
| `disputedAmount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `disputedAmount.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `paymentLinkCode` | string |  |  |
| `paymentLinkURL` | string (uri) |  | URL to the hosted payment link for the invoice. |
| `payment` | object |  | Payment options for the invoice. |
| `payment.allowedMethods` | array of string |  | Payment methods the customer can use to pay the invoice. If omitted, all methods the merchant supports are allowed. The request is rejected if a listed method is not supported by the merchant. Values: `apple-pay`, `card-payment`, `ach-debit-collect`, `google-pay`. |
| `payment.cardDetails` | object |  | Options for payment links used to collect a card payment. |
| `payment.achDetails` | object |  | Options for payment links used to collect an ACH payment. |
| `invoicePayments` | array of object |  | Payment made towards an invoice, will be either a transfer or an external payment. |
| `invoicePayments[].invoicePaymentID` | string | Yes | A unique identifier for a Moov resource. Supports UUID format (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx) or typed format with base32-encoded UUID and type suffix (e.g., kuoaydiojf7uszaokc2ggnaaaa_xfer). |
| `invoicePayments[].invoicePaymentType` | string | Yes | Values: `transfer`, `external`. |
| `invoicePayments[].amount` | object | Yes |  |
| `invoicePayments[].transfer` | object |  |  |
| `invoicePayments[].external` | object |  |  |
| `createdOn` | string (date-time) | Yes |  |
| `invoiceDate` | string (date-time) |  |  |
| `dueDate` | string (date-time) |  |  |
| `sentOn` | string (date-time) |  |  |
| `paidOn` | string (date-time) |  |  |
| `canceledOn` | string (date-time) |  |  |
| `disabledOn` | string (date-time) |  |  |

## Errors

| Status | Meaning |
| --- | --- |
| 401 | The request contained missing or expired authentication. |
| 403 | The user is not authorized to make the request. |
| 404 | The requested resource was not found. |
| 429 | Request was refused due to rate limiting. |
| 500 | The request failed due to an unexpected error. |
| 504 | The request failed because a downstream service failed to respond. |

## Examples

### cURL

```bash
curl -X GET "https://api.moov.io/accounts/{accountID}/invoices/{invoiceID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.10.00"
```

### Typescript (SDK)

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.invoices.getInvoice({
    accountID: "3ecce96f-a052-4c96-b389-98e880af1ab4",
    invoiceID: "fc90d016-39ea-4110-b77a-2e1c95827f46",
  });

  console.log(result);
}

run();
```

Full reference with SDK examples in every language: https://docs.moov.io/api/v2026.10.00/money-movement/invoices/get/
